summaryrefslogtreecommitdiffstats
path: root/jjb/openci/create-ape.sh
diff options
context:
space:
mode:
authorFatih Degirmenci <fdegir@gmail.com>2018-05-18 19:01:25 +0200
committerFatih Degirmenci <fdegir@gmail.com>2018-05-21 10:47:05 -0700
commit46838e2fe133ef4bf410ba93d9ada1deedadf779 (patch)
tree46a2738ca0bda7477bc9d33f05202ebac2635020 /jjb/openci/create-ape.sh
parentd5302d900e5cf905d6488a878c1c4bc1ba1d274d (diff)
openci: Add initial versions of prototype jobs
This change adds jobs and associated script in order to start developing the OpenCI Prototype between OPNFV, ODL, and ONAP. The created jobs are - openci-onap-autorelease-daily-master: This job constructs ArtifactPublishedEvent with fake metadata and publishes it. Jobs on OPNFV CI get triggered, composing fake k8-nosdn-onap scenario and testing. In the end, OPNFV CI publishes ConfidenceLevelModifiedEvent which can then be used by ONAP to promote their artifacts further. - openci-onap-promote-daily-master: This job gets triggered by ConfidenceLevelModifiedEvent published by OPNFV CI and logs the triggering event to console. You can see the working jobs on OPNFV Jenkins. https://build.opnfv.org/ci/view/OpenCI/ This change adds the jobs listed under ONAP section on above page. Issue-ID: CIMAN-161 Change-Id: If290b4b81631019fb81af75b3319fa6969e6a0c7 Signed-off-by: Fatih Degirmenci <fdegir@gmail.com>
Diffstat (limited to 'jjb/openci/create-ape.sh')
-rwxr-xr-xjjb/openci/create-ape.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/jjb/openci/create-ape.sh b/jjb/openci/create-ape.sh
new file mode 100755
index 000000000..3a4c8afaf
--- /dev/null
+++ b/jjb/openci/create-ape.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2018 Ericsson AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# This script creates ArtifactPublishedEvent (APE)
+# The JMS Messaging Plugin doesn't handle the newlines well so the eventBody is
+# constructed on a single line. This is something that needs to be fixed properly
+
+cat << EOF > $WORKSPACE/event.properties
+type=$PUBLISH_EVENT_TYPE
+origin=$PUBLISH_EVENT_ORIGIN
+eventBody="{ 'type': '$PUBLISH_EVENT_TYPE', 'id': '$(uuidgen)', \
+'time': '$(date -u +%Y-%m-%d_%H:%M:%SUTC)', 'origin': '$PUBLISH_EVENT_ORIGIN', \
+'buildUrl': '$BUILD_URL', 'branch': 'master', 'artifactLocation': '$ARTIFACT_LOCATION', \
+'confidenceLevel': { $CONFIDENCE_LEVEL } }"
+EOF
+echo "Constructed $PUBLISH_EVENT_TYPE"
+echo "--------------------------------------------"
+cat $WORKSPACE/event.properties
+echo "--------------------------------------------"